Subject: bug#36288: 27.0.50; Cannot use menu-set-font

From: Robert Pluim <[email-masked]>
Date: Fri, 21 Jun 2019 15:52:43 +0200

>>>>> On Thu, 20 Jun 2019 19:21:05 +0300, Eli Zaretskii <[email-masked]> said:

    >> From: Robert Pluim <[email-masked]>
    >> Cc: [email-masked]
    >> Date: Thu, 20 Jun 2019 16:19:05 +0200
    >> 
    >> >>>>> On Thu, 20 Jun 2019 15:56:52 +0300, Eli Zaretskii <[email-masked]> said:
    >> 
    >> >> From: Robert Pluim <[email-masked]>
    >> >> Date: Thu, 20 Jun 2019 10:32:34 +0200
    >> >> Cc: [email-masked]
    >> >> 
    >> >> I tried a different variant:
    >> >> 
    >> >> (add-to-list 'default-frame-alist '(font-backend x xfthb))
    >> 
    Eli> Where did you put this?  In the init file? or just evaluated it after
    Eli> Emacs started?  In the latter case, it will be in effect only for
    Eli> frames created henceforth.
    >> 
    >> I evaluated it, and then created a new frame, and ran menu-set-font
    >> from there. Although I just retested with it in init.el and the result
    >> is the same.

    Eli> This seems to be X- (and maybe also GTK-) specific.

And it doesnʼt happen in emacs-26, which makes me strongly suspect
something to do with either the HarfBuzz or Cairo changes.

Robert